<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy DistanceWin.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_distance_win_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">DistanceWin.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_distance_win_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_distance_win_8hpp.html">DistanceWin.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="class_distance_win.html#ae65882b3771d560247ee6228b8fa03d9">   19</a></span><a class="code hl_function" href="class_distance_win.html#ae65882b3771d560247ee6228b8fa03d9">DistanceWin::DistanceWin</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *dist_title, QWidget *parent) : <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a>(dist_title, parent)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// Utworzenie obrazu robota i położenie go na obiekcie DistanceWin</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_variable" href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">image</a> = <span class="keyword">new</span> <a class="code hl_class" href="class_robot_image.html">RobotImage</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// Utworzenie obiektów klasy NumericData i zdefiniowanie zachowania się</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// ich geometrii</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_define" href="_distance_win_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">SENSORS</a>; ++i)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a>[i] = <span class="keyword">new</span> <a class="code hl_class" href="class_numeric_data.html">NumericData</a>(<a class="code hl_variable" href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">image</a>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a>[i]-&gt;setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Preferred);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// Utworzenie siatki kładzionej na obrazie robota</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <a class="code hl_variable" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">image_grid</a> = <span class="keyword">new</span> QGridLayout(<a class="code hl_variable" href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">image</a>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">// Inicjalizacja przechowywanych widgetów</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <a class="code hl_function" href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">setStoredWidget</a>();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">// Ustawienie w pionie odpowiednich widgetów</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <a class="code hl_function" href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">setVLayout</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// Nadanie maksymalnej wysokości okna zdefiniowanej w makrze</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    setMinimumHeight(<a class="code hl_define" href="_distance_win_8hpp.html#a0a33b1743038db1adbbf1045aa839b38">WIN_HEIGHT</a>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="comment">// Definicja zachowania geometrii</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Expanding);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>}</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">   47</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">DistanceWin::setStoredWidget</a>()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>{</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">// Układanie okienek z odczytami na obrazie</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <a class="code hl_variable" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">image_grid</a>-&gt;addWidget(<a class="code hl_variable" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a>[0], 1, 0, Qt::AlignHCenter | Qt::AlignVCenter);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <a class="code hl_variable" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">image_grid</a>-&gt;addWidget(<a class="code hl_variable" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a>[1], 0, 1, Qt::AlignHCenter | Qt::AlignVCenter);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <a class="code hl_variable" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">image_grid</a>-&gt;addWidget(<a class="code hl_variable" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a>[2], 0, 2, Qt::AlignHCenter | Qt::AlignVCenter);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <a class="code hl_variable" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">image_grid</a>-&gt;addWidget(<a class="code hl_variable" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a>[3], 1, 3, Qt::AlignHCenter | Qt::AlignVCenter);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">// Wyrównanie siatki do góry obrazu</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <a class="code hl_variable" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">image_grid</a>-&gt;setAlignment(Qt::AlignTop);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">// Definicja zachowania się geometrii obrazu</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <a class="code hl_variable" href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">image</a>-&gt;setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Expanding);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>}</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">   64</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">DistanceWin::setVLayout</a>()</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>{</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">image</a>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>}</div>
<div class="ttc" id="a_distance_win_8hpp_html"><div class="ttname"><a href="_distance_win_8hpp.html">DistanceWin.hpp</a></div><div class="ttdoc">Definicja klasy DistanceWin.</div></div>
<div class="ttc" id="a_distance_win_8hpp_html_a0a33b1743038db1adbbf1045aa839b38"><div class="ttname"><a href="_distance_win_8hpp.html#a0a33b1743038db1adbbf1045aa839b38">WIN_HEIGHT</a></div><div class="ttdeci">#define WIN_HEIGHT</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00019">DistanceWin.hpp:19</a></div></div>
<div class="ttc" id="a_distance_win_8hpp_html_a11d038bc0d376b5a6a7634604b6e058d"><div class="ttname"><a href="_distance_win_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">SENSORS</a></div><div class="ttdeci">#define SENSORS</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00018">DistanceWin.hpp:18</a></div></div>
<div class="ttc" id="aclass_distance_win_html_a1a3d0eaeb4bcd4517194e38335d787c6"><div class="ttname"><a href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">DistanceWin::sensors_data</a></div><div class="ttdeci">NumericData * sensors_data[SENSORS]</div><div class="ttdoc">Tablica odczytów z czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00040">DistanceWin.hpp:40</a></div></div>
<div class="ttc" id="aclass_distance_win_html_a35e3bb3bcb09fb339dbad4d65c9e8c70"><div class="ttname"><a href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">DistanceWin::image_grid</a></div><div class="ttdeci">QGridLayout * image_grid</div><div class="ttdoc">Zarządca geometrii na planie siatki.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00048">DistanceWin.hpp:48</a></div></div>
<div class="ttc" id="aclass_distance_win_html_a7511b81e0e352eb985ae7a671999618e"><div class="ttname"><a href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">DistanceWin::image</a></div><div class="ttdeci">RobotImage * image</div><div class="ttdoc">Obraz robota.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00056">DistanceWin.hpp:56</a></div></div>
<div class="ttc" id="aclass_distance_win_html_a8bf9c3a9ff780ebdb692205762a88e81"><div class="ttname"><a href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">DistanceWin::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widgety pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8cpp_source.html#l00064">DistanceWin.cpp:64</a></div></div>
<div class="ttc" id="aclass_distance_win_html_ac34b8fecb2ba393250b97f55518705cd"><div class="ttname"><a href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">DistanceWin::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8cpp_source.html#l00047">DistanceWin.cpp:47</a></div></div>
<div class="ttc" id="aclass_distance_win_html_ae65882b3771d560247ee6228b8fa03d9"><div class="ttname"><a href="class_distance_win.html#ae65882b3771d560247ee6228b8fa03d9">DistanceWin::DistanceWin</a></div><div class="ttdeci">DistanceWin(const char *dist_title, QWidget *parent=nullptr)</div><div class="ttdoc">Inicjalizuje widget DistanceWin.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8cpp_source.html#l00019">DistanceWin.cpp:19</a></div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a5b62f9e21c0b6f3e797070d26027ac45"><div class="ttname"><a href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">FramedWidget::vlayout</a></div><div class="ttdeci">QVBoxLayout * vlayout</div><div class="ttdoc">Zarządca geometrii wertykalnej.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00053">FramedWidget.hpp:53</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_ace4a4b291bdc10ef5c4599a43baf1ab5"><div class="ttname"><a href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">FramedWidget::title</a></div><div class="ttdeci">QLabel * title</div><div class="ttdoc">Tytuł widgetu.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00049">FramedWidget.hpp:49</a></div></div>
<div class="ttc" id="aclass_numeric_data_html"><div class="ttname"><a href="class_numeric_data.html">NumericData</a></div><div class="ttdoc">Wyświetla dane z czujnika odległości.</div><div class="ttdef"><b>Definition</b> <a href="_numeric_data_8hpp_source.html#l00026">NumericData.hpp:27</a></div></div>
<div class="ttc" id="aclass_robot_image_html"><div class="ttname"><a href="class_robot_image.html">RobotImage</a></div><div class="ttdoc">Widget wyświetlający obraz robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_image_8hpp_source.html#l00026">RobotImage.hpp:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_distance_win_8cpp.html">DistanceWin.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
